//cg_local_seo_tc_button, cg_rich_snippets
(function($) {

	var pluginCmd = 'xyzaafPopup',
	pluginPopupUrl = aafShortcodes.plugin_url + "tinymce.popup.php?{elemId}&{width}&{height}";

	var misc = {

		arrayHasOwnIndex: function(array, prop) {
			return array.hasOwnProperty(prop) && /^0$|^[1-9]\d*$/.test(prop) && prop <= 4294967294; // 2^32 - 2
		},
		
		hasOwnProperty: function(obj, prop) {
			var proto = obj.__proto__ || obj.constructor.prototype;
			return (prop in obj) &&
			(!(prop in proto) || proto[prop] !== obj[prop]);
		}

	};
	
    tinymce.PluginManager.add('aafShortcodes', function( editor, url ) {
    	// add command

		editor.addCommand(pluginCmd, function ( ui, v ) {
		    var atts = v;
			var title = atts.moduleTitle || 'default module title',
			elemId = 'module=' + atts.module + '&shortcode=' + atts.shortcode;

			// load popup window!
			var popupUrl = pluginPopupUrl;
			popupUrl = popupUrl.replace('{elemId}', elemId);

			var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
			W = W - 80; H = H - 84;
			popupUrl = popupUrl.replace('{width}', 'width=' + W);
			popupUrl = popupUrl.replace('{height}', 'height=' + H);

			tb_show(title, popupUrl);
		});
		 

    	editor.addButton(aafShortcodes.plugin_btn_name, {
        	title	: aafShortcodes.plugin_btn_title,
        	icon	: 'icon cg-btn-sh-icon',
        	image	: ( aafShortcodes.plugin_url + 'images/icon.png' ),
        	type	: 'menubutton',
        	onclick : function(e) {},
        	onPostRender: function() {
        		button = this;
        	},
			menu: [
				{
					text		: '[contest]',
					value		: {
						'moduleTitle'	: '[contest]',
						'title'			: '[contest]',
						'module'		: '[contest]',
						'shortcode'		: 'contest'
					},
					onclick		: function(e) {
						var $this = this, atts = this.value(); //e.control._value; //$this.text();

						editor.execCommand(pluginCmd, false, {
							'moduleTitle'	: 'Select the contest',
							'title'			: '[contest]',
							'module'		: '[contest]',
							'shortcode'		: 'contest'
						});
					}
				},
				{
					text		: '[contest_list]',
					value		: {
						'moduleTitle'	: '[contest_list]',
						'title'			: '[contest_list]',
						'module'		: '[contest_list]',
						'shortcode'		: 'contest_list'
					},
					onclick		: function(e) {
						editor.execCommand('mceInsertContent', false, '[contest_list][/contest_list]');
					}
				}
			]
    	});
	});
})(jQuery);