/*
Document   :  Shortcodes
Author     :  Alexandru Topala, Andrei Dinca, AA-Team http://codecanyon.net/user/AA-Team
*/
	
// Initialization and events code for the app
(function ($) {
    "use strict";

    // public
    var debug_level = 0;
    var maincontainer = null;
    
    var shortcodeFormat = null;
    var shortcode = null;
    var atts = {};


    // init function, autoload
	(function init() {
		// load the triggers
		$(document).ready(function() {
			maincontainer = $(".CG-shortcode-pop-up");
			
			triggers();

			
		});
	})();
	
	function tb_resize()
	{
		var	tb_content = $('#TB_ajaxContent'),
		tb_window = $('#TB_window'),
		box_content = $('div.cg-form');
		
		var W = box_content.outerWidth(), H = box_content.outerHeight(),
		windowW = tb_window.outerWidth(), windowH = tb_window.outerHeight();

		tb_window.css({
			'height'		: parseInt( H + 50 ) + 'px',
			'width'			: W + 'px',
			'margin-left'	: '-' + parseInt( W / 2 ) + 'px' // center horizontal
		});
 
		tb_content.addClass('tb_content');
	}
	
	

	function triggers()
	{
   		// thickbox window
   		tb_resize();

		
		// insert code button
		$('.CG-insert-shortcode').on('click', function (e) {
			e.preventDefault();

			var contestID = $(this).data('contestid');
			var tmce_ver=window.tinyMCE.majorVersion;

			if ( tmce_ver>="4" ) {
				window.tinyMCE.execCommand('mceInsertContent', false, '[contest id="' + contestID +'"][/contest]');
			} else {
				window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, '[contest id="' + contestID +'"][/contest]');
			}
			tb_remove();
			
		});
	}
	
	function hasOwnProperty(obj, prop) {
		var proto = obj.__proto__ || obj.constructor.prototype;
		return (prop in obj) &&
		(!(prop in proto) || proto[prop] !== obj[prop]);
	}
	
	// external usage
	return {
    }
})(jQuery);