<?php
 /**
 * About module
 * http://www.aa-team.com
 * ======================
 *
 * @package		CG_
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
! defined( 'ABSPATH' ) and exit;

if(class_exists('CG_about') != true) {
	class CG_about {
		
		const WXR_VERSION = '1.0';
		
		/**
		 * parent storage
		 *
		 * @var array
		 */
		public $parent = array();
		
		private $action = '';
		private $wp_import = null;
		
		/**
		 * The constructor
		 */
		public function __construct( $parent=array() )
		{
			// load parent
			$this->parent = $parent;
		}
		
		public function print_interface()
		{
			$html = array();
			
			
		
			$html[] = '<div id="CG_iw-section-content" class="CG_iw-section-dashboard">';
			$html[] = 	'<div class="CG_iw-section-dashboard-row">';
			$html[] = 		'<div class="CG_iw-dashboard-box CG_iw-box-size-6">';
			$html[] = 			'<div class="CG_iw-dashboard-box-content">';
			$html[] = 				'<div class="CG_iw-dashboard-in-box-content">';
			$html[] = 					'
										<img src="' . ( CG_asset_url( 'images/logo.png' ) ) . '" class="aa-logo" />
										<p><b> Image / Video Contest Generator</b> WordPress Plugin. <br/><br/>
Using the Image / Video Contest Generator for WordPress is the easiest way to run online contests and giveaways in order to build a bigger audience and promote your business.

<br/><br/>
The Image / Video Contest Generator is fully customizable and really easy to use!<br/><br/>
You probably know how much people love to play contests, even if the “contests” are as simple as generating points towards a prize or membership. Or simply for fun!<br/><br/> 

 </p>
										<h4> If you encounter any difficulties when using the plugin please make sure you read the Documentation of the plugin and searched trough the Knowledgebase for usual problems. </h4>
										
										<h4> If you do find bugs or unusual issues, you are free to open a ticket on our support system. </h4>';

	
			$html[] = 				'</div>';
			$html[] = 			'</div>';
			$html[] = 		'</div>';
			$html[] = 	'</div>';
			$html[] = '</div>';
			
			return implode( "\n", $html );
		}
	}
}